<?php
// var_dump(get_defined_vars());
// exit();
?>



      <div style="width: 666px">
         <?php if ($print_instructions): ?>
         <div class="info">
            <h2>Instruções de Impressão</h2>
            <ul>
               <li>Imprima em impressora jato de tinta (ink jet) ou laser em qualidade normal ou alta (Não use modo
                  econômico).</li>
               <li>Utilize folha A4 (210 x 297 mm) ou Carta (216 x 279 mm) e margens mínimas à esquerda e à direita do
                  formulário.</li>
               <li>Corte na linha indicada. Não rasure, risque, fure ou dobre a região onde se encontra o código de
                  barras.</li>
               <li>Caso não apareça o código de barras no final, pressione F5 para atualizar esta tela.</li>
               <li>Caso tenha problemas ao imprimir, copie a sequencia numérica abaixo e pague no caixa eletrônico ou no
                  internet banking:</li>
            </ul>
            <span class="header">Linha Digitável:
               <?php echo $writable_line; ?>
            </span>
            <?php if ($value): ?><span class="header">Valor: 
               <?php echo $value_print_format; ?>
            </span>
            <?php endif ?>
            <?php if ($value_min_payment): ?><span class="header">Pagamento mínimo: R$
               <?php echo $value_min_payment; ?>
            </span>
            <?php endif ?>
            <br>
            <div class="linha-pontilhada" style="margin-bottom: 20px;">Recibo do pagador</div>
         </div>
         <?php endif ?>

         <table class="table-boleto" cellpadding="0" cellspacing="0" border="0">
            <tbody>
               <tr>
                  <td valign="bottom" colspan="8" class="noborder nopadding">
                     <div class="logocontainer">
                        <div class="logobanco">
                           <img src="<?php echo $bank_logo; ?>" alt="logotipo do banco">
                        </div>
                        <div class="codbanco">
                           <?php echo $bank_code_with_digit ?>
                        </div>
                     </div>
                     <div class="linha-digitavel">
                        <?php echo $writable_line ?>
                     </div>
                  </td>
               </tr>
               <tr>
                  <td colspan="3" width="250" rowspan="2" valign="top">
                     <div class="titulo">Beneficiário</div>
                     <div class="conteudo">
                        <?php echo $holder ?><br />
                        <?= $holder_address_1; ?><br />
                        <?= $holder_address_2; ?>
                     </div>
                  </td>
                  <td colspan="2">
                     <div class="titulo">CPF/CNPJ do Beneficiário</div>
                     <div class="conteudo">
                        <?php echo $holder_document ?>
                     </div>
                  </td>
               </tr>
               <tr>
                  <td width="120">
                     <div class="titulo">Agência/Código do Beneficiário</div>
                     <div class="conteudo rtl">
                        <?php echo $agency_holder ?>
                     </div>
                  </td>
                  <td width="110">
                     <div class="titulo">Vencimento</div>
                     <div class="conteudo rtl">
                        <?php echo $date_due ?>
                     </div>
                  </td>
               </tr>
               <tr>
                  <td colspan="3">
                     <div class="titulo">Pagador</div>
                     <div class="conteudo float_left">
                        <?php echo $drawer ?>
                     </div>
                     <div class="conteudo cpf_cnpj">
                        <?php echo $drawer_document ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">Nº documento</div>
                     <div class="conteudo rtl">
                        <?php echo $document_number ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">Nosso número</div>
                     <div class="conteudo rtl">
                        <?php echo $our_number ?>
                     </div>
                  </td>
               </tr>
               <tr>
                  <td>
                     <div class="titulo">Espécie</div>
                     <div class="conteudo">
                        <?php echo $currency ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">Quantidade</div>
                     <div class="conteudo rtl">
                        <?php echo $quantity ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">Valor</div>
                     <div class="conteudo rtl">
                        <?php echo $value_unit ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">(-) Descontos / Abatimentos</div>
                     <div class="conteudo rtl">
                        <?php echo $value_discount ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">(=) Valor Documento</div>
                     <div class="conteudo rtl">
                        <?php echo $value ?>
                     </div>
                  </td>
               </tr>
               <tr>
                  <td colspan="2">
                     <div class="conteudo"></div>
                     <div class="titulo">Demonstrativo</div>
                  </td>
                  <td>
                     <div class="titulo">(-) Outras deduções</div>
                     <div class="conteudo">
                        <?php echo $value_other_discounts ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">(+) Outros acréscimos</div>
                     <div class="conteudo rtl">
                        <?php echo $value_other_additions ?>
                     </div>
                  </td>
                  <td>
                     <div class="titulo">(=) Valor cobrado</div>
                     <div class="conteudo rtl">
                        <?php echo $value_payment ?>
                     </div>
                  </td>
               </tr>
               <tr>
                  <td colspan="4">
                     <div style="margin-top: 10px" class="conteudo">
                        <?php echo $instructions[0] ?>
                     </div>
                  </td>
                  <td class="noleftborder">
                     <div class="titulo">Autenticação mecânica</div>
                  </td>
               </tr>
               <tr>
                  <td colspan="4" class="notopborder">
                     <table style="width: 100%;" cellpadding="0" cellspacing="0" border="0"
                        style="margin:0; padding:0;">
                        <tbody style="margin:0; padding:0;">
                           <tr style="margin:0; padding:0;">
                              <td style="margin:0; padding:0;" class="noborder">
                                 <div class="conteudo">
                                    <?php echo $instructions[1] ?>
                                 </div>
                              </td>
                           </tr>
                           <tr style="margin:0; padding:0;">
                              <td style="margin:0; padding:0;" class="noborder">
                                 <div class="conteudo">
                                    <?php echo $instructions[2] ?>
                                 </div>
                              </td>
                           </tr>
                           <tr style="margin:0; padding:0;">
                              <td style="margin:0; padding:0;" class="noborder">
                                 <div class="conteudo">
                                    <?php echo $instructions[3] ?>
                                 </div>
                              </td>
                           </tr>
                           <tr style="margin:0; padding:0;">
                              <td style="margin:0; padding:0;" class="noborder">
                                 <div style="margin-bottom: 10px;" class="conteudo">
                                    <?php echo $instructions[4] ?>
                                 </div>
                              </td>
                           </tr>
                        </tbody>
                     </table>
                  </td>
                  <td class="notopborder nobottomborder noleftborder" style="text-align:center">
                      <?php if (isset($qr_code) && !empty($qr_code)): ?>
                        <img src="<?php echo QrCodePix::image($qr_code); ?>" alt="QR Code" />
                      <?php endif; ?>
                  </td>
               </tr>
               <tr>
                  <td colspan="5" class="notopborder bottomborder"
                     style="padding: 0px 20px 10px 0px; text-align: right">
                     <div class="titulo">Recibo do pagador</div>
                  </td>
               </tr>
            </tbody>
         </table>
         <br>
         <div class="linha-pontilhada">Corte na linha pontilhada</div>
         <br>

         <!-- Ficha de compensação -->
         <?php @include 'components/compensation-form.phtml'?>
      </div>